Summary: SME Server specific Samba configuration files and templates
%define name smeserver-samba
Name: %{name}
%define version 0.1.0
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tgz
Obsoletes: e-smith-netlogon
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch

##Obsolete e-smith-samba 
Provides: e-smith-samba
Obsoletes: e-smith-samba
##Obsolete e-smith-ldap
Obsoletes: e-smith-ldap
Provides: e-smith-ldap

BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-lib >= 2.2.0-2
Requires: e-smith-formmagick >= 1.4.0-9
Requires: e-smith-LPRng >= 2.4.0-2
Requires: sernet-samba >= 4.1.12
Requires: sernet-samba-ad >= 4.1.12
Requires: sernet-samba-client >= 4.1.12
Requires: sernet-samba-common >= 4.1.12
Requires: sernet-samba-libs >= 4.1.12
Requires: sernet-samba-libsmbclient0 >= 4.1.12
Requires: sernet-samba-winbind >= 4.1.12
Obsoletes: samba3x
Obsoletes: samba3x-client
Obsoletes: samba3x-common
Obsoletes: samba3x-winbind
Obsoletes: libsmbclient <= 3.0.33
# Obsolete SerNet packages
Obsoletes: libsmbclient0
Obsoletes: libwbclient0
Obsoletes: samba3
Obsoletes: samba3-cifsmount
Obsoletes: samba3-client
Obsoletes: samba3-doc
Obsoletes: samba3-utils
Obsoletes: samba3-winbind
Requires: /usr/bin/tdbbackup
AutoReqProv: no

%changelog
* Thu Feb 12 2015 Greg Zartman <gzartman@koozali.org> 0.1.0-1
- Roll new smeserver alpha package for Samba4 [SME:8075]


%description
Configuration files and templates for  Samba 4 services.

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist \
    --dir '/var/service/smb' 'attr(1755,root,root)' \
    --file '/var/service/smb/down' 'attr(0644,root,root)' \
    --file '/var/service/smb/run' 'attr(0755,root,root)' \
    --dir '/var/service/smb/supervise' 'attr(0700,root,root)' \
    --dir '/var/service/smb/log' 'attr(1755,root,root)' \
    --file '/var/service/smb/log/run' 'attr(0755,root,root)' \
    --file '/sbin/e-smith/samba_check_password' 'attr(0555,root,root)' \
    $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%post
rm -rf /var/service/nmbd
rm -rf /var/service/smbd
rm -rf /var/log/nmbd
rm -rf /var/log/smbd

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
